Debian Bug report logs - #594622
use allow-hotplug instead of auto in /e/n/interfaces

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: Jörg Sommer <joerg@alea.gnuu.de>

Date: Fri, 27 Aug 2010 19:21:01 UTC

Severity: minor

Fixed in version 2.0.1-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#594622; Package live-boot. (Fri, 27 Aug 2010 19:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jörg Sommer <joerg@alea.gnuu.de>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 27 Aug 2010 19:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jörg Sommer <joerg@alea.gnuu.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Don't start dhcp if no link is present
Date: Mon, 23 Aug 2010 14:23:00 +0200
[Message part 1 (text/plain, inline)]
Package: live-boot
Version: 2.0.0-1
Severity: minor

Hi,

you should not start the dhcp client if the network cable is not plugged
in, i.e. mii-tool reports no link. It's useless to wait, because dhcp
will never get an anwser.

% sudo mii-tool eth0
eth0: no link

Bye, Jörg.

-- System Information:
Debian Release: unstable/experimental
  APT prefers unstable
  APT policy: (900, 'unstable'), (700, 'experimental')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.36-rc1
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#594622; Package live-boot. (Sat, 28 Aug 2010 14:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 28 Aug 2010 14:45:05 GMT) Full text and rfc822 format available.

Message #10 received at 594622@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Jörg Sommer <joerg@alea.gnuu.de>
Cc: 594622@bugs.debian.org
Subject: Re: Bug#594622: Don't start dhcp if no link is present
Date: Sat, 28 Aug 2010 16:40:30 +0200
reassign 594622 netbase
thanks

On 08/23/2010 02:23 PM, Jörg Sommer wrote:
> you should not start the dhcp client if the network cable is not plugged
> in, i.e. mii-tool reports no link. It's useless to wait, because dhcp
> will never get an anwser.

this is not live specific, reassigning to netbase.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug reassigned from package 'live-boot' to 'netbase'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 28 Aug 2010 14:45:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions live-boot/2.0.0-1. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 28 Aug 2010 14:45:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#594622; Package netbase. (Sat, 28 Aug 2010 16:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 28 Aug 2010 16:33:06 GMT) Full text and rfc822 format available.

Message #19 received at 594622@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: daniel@debian.org, 594622@bugs.debian.org
Cc: Jörg Sommer <joerg@alea.gnuu.de>, ifupdown@packages.debian.org, control@bugs.debian.org
Subject: Re: Bug#594622: Don't start dhcp if no link is present
Date: Sat, 28 Aug 2010 18:29:04 +0200
[Message part 1 (text/plain, inline)]
reassign 594622 ifupdown
thanks

On Aug 28, Daniel Baumann <daniel@debian.org> wrote:

> On 08/23/2010 02:23 PM, Jörg Sommer wrote:
> > you should not start the dhcp client if the network cable is not plugged
> > in, i.e. mii-tool reports no link. It's useless to wait, because dhcp
> > will never get an anwser.
> this is not live specific, reassigning to netbase.
Notwithstanding its name, the netbase package is not concerned with
everything related to networking.
I have high doubts about the merit of this report, but anyway I am
reassigning it to the ifupdown package so it will be safely ignored.
The solution to these symptoms is to use allow-hotplug instead of auto
in /etc/network/interfaces.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'netbase' to 'ifupdown'. Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. (Sat, 28 Aug 2010 16:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#594622; Package ifupdown. (Sun, 29 Aug 2010 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Anthony Towns <ajt@debian.org>. (Sun, 29 Aug 2010 17:27:04 GMT) Full text and rfc822 format available.

Message #26 received at 594622@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Jörg Sommer <joerg@alea.gnuu.de>
Cc: 594622@bugs.debian.org
Subject: Re: Bug#594622: Don't start dhcp if no link is present
Date: Sun, 29 Aug 2010 19:22:47 +0200
reassign 594622 ifupdown
thanks

On 08/23/2010 02:23 PM, Jörg Sommer wrote:
> you should not start the dhcp client if the network cable is not plugged
> in, i.e. mii-tool reports no link. It's useless to wait, because dhcp
> will never get an anwser.

this is not live specific, reassigning to ifupdown.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#594622; Package ifupdown. (Tue, 31 Aug 2010 20:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Anthony Towns <ajt@debian.org>. (Tue, 31 Aug 2010 20:12:06 GMT) Full text and rfc822 format available.

Message #31 received at 594622@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Marco d'Itri <md@Linux.IT>
Cc: 594622@bugs.debian.org, Jörg Sommer <joerg@alea.gnuu.de>, ifupdown@packages.debian.org
Subject: Re: Bug#594622: Don't start dhcp if no link is present
Date: Tue, 31 Aug 2010 22:10:05 +0200
reassign 594622 live-boot
retitle 594622 use allow-hotplug instead of auto in /e/n/interfaces
tag 594622 pending
thanks

On 08/28/2010 06:29 PM, Marco d'Itri wrote:
> The solution to these symptoms is to use allow-hotplug instead of auto
> in /etc/network/interfaces.

done in git; reassigning back and closing with an upload soon, thanks.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug reassigned from package 'ifupdown' to 'live-boot'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 31 Aug 2010 20:12:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'use allow-hotplug instead of auto in /e/n/interfaces' from 'Don't start dhcp if no link is present' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 31 Aug 2010 20:12:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 31 Aug 2010 20:12:11 GMT) Full text and rfc822 format available.

Reply sent to daniel@debian.org:
You have taken responsibility. (Wed, 01 Sep 2010 16:33:06 GMT) Full text and rfc822 format available.

Notification sent to Jörg Sommer <joerg@alea.gnuu.de>:
Bug acknowledged by developer. (Wed, 01 Sep 2010 16:33:06 GMT) Full text and rfc822 format available.

Message #42 received at 594622-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 594622-done@bugs.debian.org
Subject: Re: use allow-hotplug instead of auto in /e/n/interfaces
Date: Wed, 01 Sep 2010 18:32:06 +0200
Version: 2.0.1-1

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 30 Sep 2010 07:33:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:04:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.